%define _basename qcg-ntf-egi-is-provider
%define _parentname qcg-ntf
%define _sourcedir %{_topdir}/SOURCES/%{_parentname}

%{!?default_package_ext: %define default_package_ext tar.gz}

Summary:	EGI Information Service provider for QCG-Notification
Name:		%{_basename}
Version:	3.4.0
Release:	3
License:	Apache v2.0
Group:		Tools
Source0:	%{name}-%{version}.%{default_package_ext}
URL:		http://www.qoscosgrid.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch
Requires:	qcg-ntf >= 3.4.0
Requires:	emi-resource-information-service >= 1.0.3-1
Requires:	qcg-egi-is-conf >= 3.4.0

%define         _config_prefix         /etc/qcg/qcg-ntf/bdii/service
%define         _provider_prefix       /var/lib/bdii/gip/provider
%define         _info_prefix           /usr/bin


%description
EGI Information Service provider for the QCG-Notification service.

%prep
%setup -T -b 0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_config_prefix}
mkdir -p $RPM_BUILD_ROOT%{_provider_prefix}
mkdir -p $RPM_BUILD_ROOT%{_info_prefix}

install qcg-info-glue2-notification-endpoint.conf   $RPM_BUILD_ROOT%{_config_prefix}/
install qcg-info-glue2-notification-service.conf    $RPM_BUILD_ROOT%{_config_prefix}/
install qcg-info-provider-service-notification      $RPM_BUILD_ROOT%{_provider_prefix}/
install qcg-info-service-notification               $RPM_BUILD_ROOT%{_info_prefix}/

%post
%preun
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644,root,root) %{_config_prefix}/qcg-info-glue2-notification-endpoint.conf
%attr(644,root,root) %{_config_prefix}/qcg-info-glue2-notification-service.conf
%attr(755,root,root) %{_provider_prefix}/qcg-info-provider-service-notification
%attr(755,root,root) %{_info_prefix}/qcg-info-service-notification

%changelog
* Wed Mar 5 2014 Bartosz Bosak <bbosak@man.poznan.pl> 3.2.0-1
- Initial version of the package
